GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Friends
gdcm::MediaStorage Class Reference

MediaStorage. More...

`#include <gdcmMediaStorage.h>`

List of all members.

## Public Types

enum

MSType {
MediaStorageDirectoryStorage = 0,
ComputedRadiographyImageStorage,
DigitalXRayImageStorageForPresentation,
DigitalXRayImageStorageForProcessing,
DigitalMammographyImageStorageForPresentation,
DigitalMammographyImageStorageForProcessing,
DigitalIntraoralXrayImageStorageForPresentation,
DigitalIntraoralXRayImageStorageForProcessing,
CTImageStorage,
EnhancedCTImageStorage,
UltrasoundImageStorageRetired,
UltrasoundImageStorage,
UltrasoundMultiFrameImageStorageRetired,
UltrasoundMultiFrameImageStorage,
MRImageStorage,
EnhancedMRImageStorage,
MRSpectroscopyStorage,
NuclearMedicineImageStorageRetired,
SecondaryCaptureImageStorage,
MultiframeSingleBitSecondaryCaptureImageStorage,
MultiframeGrayscaleByteSecondaryCaptureImageStorage,
MultiframeGrayscaleWordSecondaryCaptureImageStorage,
MultiframeTrueColorSecondaryCaptureImageStorage,
StandaloneOverlayStorage,
StandaloneCurveStorage,
LeadECGWaveformStorage,
GeneralECGWaveformStorage,
AmbulatoryECGWaveformStorage,
HemodynamicWaveformStorage,
CardiacElectrophysiologyWaveformStorage,
BasicVoiceAudioWaveformStorage,
StandaloneModalityLUTStorage,
StandaloneVOILUTStorage,
GrayscaleSoftcopyPresentationStateStorageSOPClass,
XRayAngiographicImageStorage,
XRayRadiofluoroscopingImageStorage,
XRayAngiographicBiPlaneImageStorageRetired,
NuclearMedicineImageStorage,
RawDataStorage,
SpacialRegistrationStorage,
SpacialFiducialsStorage,
PETImageStorage,
RTImageStorage,
RTDoseStorage,
RTStructureSetStorage,
RTPlanStorage,
CSANonImageStorage,
Philips3D,
EnhancedSR,
BasicTextSR,
HardcopyGrayscaleImageStorage,
ComprehensiveSR,
DetachedStudyManagementSOPClass,
EncapsulatedPDFStorage,
StudyComponentManagementSOPClass,
DetachedVisitManagementSOPClass,
DetachedPatientManagementSOPClass,
VideoEndoscopicImageStorage,
GeneralElectricMagneticResonanceImageStorage,
GEPrivate3DModelStorage,
ToshibaPrivateDataStorage,
MammographyCADSR,
KeyObjectSelectionDocument,
HangingProtocolStorage,
ModalityPerformedProcedureStepSOPClass,
PhilipsPrivateMRSyntheticImageStorage,
VLPhotographicImageStorage,
SegmentationStorage,
RTIonPlanStorage,
XRay3DAngiographicImageStorage,
EnhancedXAImageStorage,
RTIonBeamsTreatmentRecordStorage,
SurfaceSegmentationStorage,
VLWholeSlideMicroscopyImageStorage,
MS_END
}

enum | ObjectType { NoObject = 0, Video, Waveform, Audio, PDF, URI, Segmentation, ObjectEnd }

## Public Member Functions

| MediaStorage (MSType type=MS_END)
const char * | GetModality () const
unsigned int | GetModalityDimension () const
const char * | GetString () const
| Return the Media String of the object.
void | GuessFromModality (const char *modality, unsigned int dimension=2)
bool | IsUndefined () const
| operator MSType () const
bool | SetFromDataSet (DataSet const &ds)
bool | SetFromFile (File const &file)
bool | SetFromHeader (FileMetaInformation const &fmi)
bool | SetFromModality (DataSet const &ds)

## Static Public Member Functions

static const char * | GetMSString (MSType ts)
| Return the Media String associated. Will return NULL for MS_END.
static MSType | GetMSType (const char *str)
static unsigned int | GetNumberOfModality ()
static unsigned int | GetNumberOfMSString ()
static unsigned int | GetNumberOfMSType ()
static bool | IsImage (MSType ts)

## Protected Member Functions

void | SetFromSourceImageSequence (DataSet const &ds)

## Friends

std::ostream & | operator<< (std::ostream &os, const MediaStorage &ms)

## Detailed Description

MediaStorage.

Note:
  FIXME There should not be any notion of Image and/or PDF at that point Only the codec can answer yes I support this Media Storage or not... For instance an ImageCodec will answer yes to most of them while a PDFCodec will answer only for the Encapsulated PDF

See also:
  UIDs

Examples:
  CreateJPIPDataSet.cxx, EncapsulateFileInRawData.cxx, Extracting_All_Resolution.cxx, Fake_Image_Using_Stream_Image_Writer.cxx, gdcmrtionplan.cxx, gdcmrtplan.cxx, GenAllVR.cxx, GenerateStandardSOPClasses.cxx, GenFakeIdentifyFile.cxx, GetSubSequenceData.cxx, iU22tomultisc.cxx, ReadAndDumpDICOMDIR.cxx, StreamImageReaderTest.cxx, and TestReader.cxx.

## Member Enumeration Documentation

enum gdcm::MediaStorage::MSType

Enumerator:

  MediaStorageDirectoryStorage |
  ComputedRadiographyImageStorage |
  DigitalXRayImageStorageForPresentation |
  DigitalXRayImageStorageForProcessing |
  DigitalMammographyImageStorageForPresentation |
  DigitalMammographyImageStorageForProcessing |
  DigitalIntraoralXrayImageStorageForPresentation |
  DigitalIntraoralXRayImageStorageForProcessing |
  CTImageStorage |
  EnhancedCTImageStorage |
  UltrasoundImageStorageRetired |
  UltrasoundImageStorage |
  UltrasoundMultiFrameImageStorageRetired |
  UltrasoundMultiFrameImageStorage |
  MRImageStorage |
  EnhancedMRImageStorage |
  MRSpectroscopyStorage |
  NuclearMedicineImageStorageRetired |
  SecondaryCaptureImageStorage |
  MultiframeSingleBitSecondaryCaptureImageStorage |
  MultiframeGrayscaleByteSecondaryCaptureImageStorage |
  MultiframeGrayscaleWordSecondaryCaptureImageStorage |
  MultiframeTrueColorSecondaryCaptureImageStorage |
  StandaloneOverlayStorage |
  StandaloneCurveStorage |
  LeadECGWaveformStorage |
  GeneralECGWaveformStorage |
  AmbulatoryECGWaveformStorage |
  HemodynamicWaveformStorage |
  CardiacElectrophysiologyWaveformStorage |
  BasicVoiceAudioWaveformStorage |
  StandaloneModalityLUTStorage |
  StandaloneVOILUTStorage |
  GrayscaleSoftcopyPresentationStateStorageSOPClass |
  XRayAngiographicImageStorage |
  XRayRadiofluoroscopingImageStorage |
  XRayAngiographicBiPlaneImageStorageRetired |
  NuclearMedicineImageStorage |
  RawDataStorage |
  SpacialRegistrationStorage |
  SpacialFiducialsStorage |
  PETImageStorage |
  RTImageStorage |
  RTDoseStorage |
  RTStructureSetStorage |
  RTPlanStorage |
  CSANonImageStorage |
  Philips3D |
  EnhancedSR |
  BasicTextSR |
  HardcopyGrayscaleImageStorage |
  ComprehensiveSR |
  DetachedStudyManagementSOPClass |
  EncapsulatedPDFStorage |
  StudyComponentManagementSOPClass |
  DetachedVisitManagementSOPClass |
  DetachedPatientManagementSOPClass |
  VideoEndoscopicImageStorage |
  GeneralElectricMagneticResonanceImageStorage |
  GEPrivate3DModelStorage |
  ToshibaPrivateDataStorage |
  MammographyCADSR |
  KeyObjectSelectionDocument |
  HangingProtocolStorage |
  ModalityPerformedProcedureStepSOPClass |
  PhilipsPrivateMRSyntheticImageStorage |
  VLPhotographicImageStorage |
  SegmentationStorage |
  RTIonPlanStorage |
  XRay3DAngiographicImageStorage |
  EnhancedXAImageStorage |
  RTIonBeamsTreatmentRecordStorage |
  SurfaceSegmentationStorage |
  VLWholeSlideMicroscopyImageStorage |
  MS_END |

Examples:
  GenerateStandardSOPClasses.cxx.

enum gdcm::MediaStorage::ObjectType

Enumerator:

  NoObject |
  Video |
  Waveform |
  Audio |
  PDF |
  URI |
  Segmentation |
  ObjectEnd |

## Constructor & Destructor Documentation

gdcm::MediaStorage::MediaStorage | ( | MSType | type = `MS_END` | ) | `[inline]`

## Member Function Documentation

const char* gdcm::MediaStorage::GetModality | ( |  | ) | const

unsigned int gdcm::MediaStorage::GetModalityDimension | ( |  | ) | const

static const char* gdcm::MediaStorage::GetMSString | ( | MSType | ts | ) | `[static]`

Return the Media String associated. Will return NULL for MS_END.

Examples:
  GenerateStandardSOPClasses.cxx.

Referenced by gdcm::operator<<().

static MSType gdcm::MediaStorage::GetMSType | ( | const char * | str | ) | `[static]`

Examples:
  TestReader.cxx.

static unsigned int gdcm::MediaStorage::GetNumberOfModality | ( |  | ) | `[static]`

static unsigned int gdcm::MediaStorage::GetNumberOfMSString | ( |  | ) | `[static]`

static unsigned int gdcm::MediaStorage::GetNumberOfMSType | ( |  | ) | `[static]`

const char* gdcm::MediaStorage::GetString | ( |  | ) | const

Return the Media String of the object.

Examples:
  CreateJPIPDataSet.cxx, EncapsulateFileInRawData.cxx, Fake_Image_Using_Stream_Image_Writer.cxx, GetSubSequenceData.cxx, iU22tomultisc.cxx, and StreamImageReaderTest.cxx.

void gdcm::MediaStorage::GuessFromModality | ( | const char * | modality,
|  | unsigned int | dimension = `2`
| ) |  |

static bool gdcm::MediaStorage::IsImage | ( | MSType | ts | ) | `[static]`

Returns whether DICOM has a Pixel Data element (7fe0,0010)

Warning:
  MRSpectroscopyStorage could be image but are not

bool gdcm::MediaStorage::IsUndefined | ( |  | ) | const`[inline]`

Examples:
  TestReader.cxx.

gdcm::MediaStorage::operator MSType | ( |  | ) | const`[inline]`

bool gdcm::MediaStorage::SetFromDataSet | ( | DataSet const & | ds | ) |

Advanced user only (functions should be protected level...) Those function are lower level than SetFromFile

bool gdcm::MediaStorage::SetFromFile | ( | File const & | file | ) |

Attempt to set the MediaStorage from a file: WARNING: When no MediaStorage & Modality are found BUT a PixelData element is found then MediaStorage is set to the default SecondaryCaptureImageStorage (return value is false in this case)

Examples:
  gdcmrtionplan.cxx, gdcmrtplan.cxx, ReadAndDumpDICOMDIR.cxx, and TestReader.cxx.

bool gdcm::MediaStorage::SetFromHeader | ( | FileMetaInformation const & | fmi | ) |

bool gdcm::MediaStorage::SetFromModality | ( | DataSet const & | ds | ) |

void gdcm::MediaStorage::SetFromSourceImageSequence | ( | DataSet const & | ds | ) | `[protected]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const MediaStorage & | ms
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmMediaStorage.h